<?php
/**
 * CategoryBoundPropertyTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\PimClient;

use PHPUnit\Framework\TestCase;

/**
 * CategoryBoundPropertyTest Class Doc Comment
 *
 * @category    Class
 * @description CategoryBoundProperty
 * @package     Ensi\PimClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class CategoryBoundPropertyTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "CategoryBoundProperty"
     */
    public function testCategoryBoundProperty()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "property_id"
     */
    public function testPropertyPropertyId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "display_name"
     */
    public function testPropertyDisplayName()
    {
    }

    /**
     * Test attribute "code"
     */
    public function testPropertyCode()
    {
    }

    /**
     * Test attribute "type"
     */
    public function testPropertyType()
    {
    }

    /**
     * Test attribute "hint_value"
     */
    public function testPropertyHintValue()
    {
    }

    /**
     * Test attribute "hint_value_name"
     */
    public function testPropertyHintValueName()
    {
    }

    /**
     * Test attribute "is_multiple"
     */
    public function testPropertyIsMultiple()
    {
    }

    /**
     * Test attribute "is_filterable"
     */
    public function testPropertyIsFilterable()
    {
    }

    /**
     * Test attribute "is_public"
     */
    public function testPropertyIsPublic()
    {
    }

    /**
     * Test attribute "is_active"
     */
    public function testPropertyIsActive()
    {
    }

    /**
     * Test attribute "has_directory"
     */
    public function testPropertyHasDirectory()
    {
    }

    /**
     * Test attribute "is_inherited"
     */
    public function testPropertyIsInherited()
    {
    }

    /**
     * Test attribute "is_required"
     */
    public function testPropertyIsRequired()
    {
    }

    /**
     * Test attribute "is_common"
     */
    public function testPropertyIsCommon()
    {
    }

    /**
     * Test attribute "is_system"
     */
    public function testPropertyIsSystem()
    {
    }

    /**
     * Test attribute "is_moderated"
     */
    public function testPropertyIsModerated()
    {
    }

    /**
     * Test attribute "is_gluing"
     */
    public function testPropertyIsGluing()
    {
    }
}
